/*+--------------------------------------------------------------------------+
 *| Copyright 1992 - 2002 Rational Software Corporation. All Rights Reserved.|
 *| This software contains proprietary and confidential information of       |
 *| Rational and its suppliers. Use, disclosure or reproduction is           |
 *| prohibited without the prior express written consent of Rational.        |
 *+--------------------------------------------------------------------------+
 */
/*  Variable Arguments

    Functions having variable argument lists should be declared with the
    "..." notation and include this header and use the stdarg protocol.

*/

#ifndef _STDARG_H_
#define _STDARG_H_

#ifdef _VARARGS_H_
#error Cannot include both <stdarg.h> and <varargs.h>
#endif


typedef char *va_list;

#define va_start(ap, x)     (ap = (va_list)&__builtin_va_alist)
#define va_arg(ap, mode) (((mode *)(ap += sizeof(mode)))[-1])
#define va_end(ap)      (ap = 0)

#endif
